Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4378

Summary: /usr/lib/libqt.so in wrong package
Product: [Retired] Red Hat Linux Reporter: Pierre Phaneuf <pp>
Component: qtAssignee: Preston Brown <pbrown>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: pp
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-08-18 18:04:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pierre Phaneuf 1999-08-05 19:12:04 UTC
The file /usr/lib/libqt.so is in the wrong package. This
symlink is used only during development, so it should be in
qt-devel.

Including it in the main qt package causes problem when
someone wants to have both Qt 1.x and Qt 2.x side-by-side
(which works perfectly), by installing qt-2.x.rpm instead of
upgrading. This libqt.so file should always point to the
version of the library that correspond with the header files
installed on the system.

Note that the qt RPM in contrib has the same problem, but I
didn't notice the maintainer, maybe he just used your spec
file.

Comment 1 Preston Brown 1999-08-18 18:04:59 UTC
This will be fixed in the next release of Red Hat Linux (6.1).

Comment 2 openshift-github-bot 2017-05-10 05:47:43 UTC
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/af8f09fa1f76ff8adca42587d963f3d52e6e2fa4
GH-Issue: 4378: Fixing custom route hostname

https://github.com/openshift/openshift-docs/commit/45bc437a7343c28ee1b4641027f417e51ef2e9ba
Merge pull request #4396 from vikram-redhat/master

GH-Issue: 4378: Fixing custom route hostname